Post v1openidccredentialsproof - Terminal 3 Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

cURL

curl --request POST \
  --url https://staging.terminal3.io/v1/openidc/credentials/proof \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "vcIdFields": {},
  "options": {}
}
'

Python

import requests

url = "https://staging.terminal3.io/v1/openidc/credentials/proof"

payload = {
    "vcIdFields": {},
    "options": {}
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({vcIdFields: {}, options: {}})
};

fetch('https://staging.terminal3.io/v1/openidc/credentials/proof', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Example Responses

Successful Response

{
  "data": {
    "holder": "<string>",
    "credentials": [
      {
        "@context": [
          "<string>"
        ],
        "id": "<string>",
        "issuer": "<string>",
        "credentialSubject": {
          "id": "<string>"
        },
        "type": [
          "<string>"
        ],
        "validFrom": "<string>",
        "validUntil": "<string>",
        "proof": {
          "type": "<string>",
          "proofPurpose": "<string>",
          "verificationMethod": "<string>",
          "created": "<string>",
          "mandatoryPointers": [
            "<string>"
          ],
          "cryptosuite": "<string>",
          "@context": [
            "<string>"
          ],
          "revealedPointers": [
            "<string>"
          ],
          "revealedIndices": [
            123
          ]
        },
        "credentialStatus": "<unknown>"
      }
    ]
  }
}

Error Response

{
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations